Summary: Fedora configuration files for the apt-rpm package manager
Name: fedora-package-config-apt
Version: 8
Release: 2.transitional
# Nothing in here has copyright, much less license attribution, however,
# since this is "upstream", we'll take this statement as the author's intent,
# and use GPL+ here (since no version is specified).
License: GPL+
Group: System Environment/Base
URL: http://fedora.redhat.com/

# 100-149 for sources.list.d
Source100:      fedora.list
Source101:      fedora-updates.list
Source102:	fedora-updates-newkey.list
Source103:      fedora-devel.list

# 150-199 for apt.conf.d
# additional "factory defaults" for fedora
Source150:      fedora.conf

# 200-249 for additional trusted gpg keys

# 250-299 for vendor.list.d
Source250:      fedora-vendor.list

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
# We need an apt that speaks repo-md
Requires: apt >= 0.5.15lorg3
Provides: apt-config

%description
This package contains apt-rpm configuration files for Fedora (Core,
Updates and Extras).

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}/apt/apt.conf.d
mkdir -p %{buildroot}%{_sysconfdir}/apt/sources.list.d
mkdir -p %{buildroot}%{_sysconfdir}/apt/vendors.list.d

# install config parts
install -pm 644 %{SOURCE150} %{buildroot}%{_sysconfdir}/apt/apt.conf.d/

# Fedora Extras fingerprint
install -pm 644 %{SOURCE250} \
  %{buildroot}%{_sysconfdir}/apt/vendors.list.d/fedora.list

# Default source list entries
for source in %{SOURCE100} %{SOURCE101} %{SOURCE102} %{SOURCE103}; do
  install -pm 644 $source %{buildroot}%{_sysconfdir}/apt/sources.list.d/
done

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
# NOTE: no noreplace because we WANT to be able to change the defaults
# without user intervention!
%config %{_sysconfdir}/apt/apt.conf.d/fedora.conf
%config %{_sysconfdir}/apt/sources.list.d/*
%config %{_sysconfdir}/apt/vendors.list.d/*


%changelog
* Sat Sep 13 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 8-2.transitional
- Temporary location of updates for F9/F8.

* Wed May 21 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 9.89-2
- fix license tag

* Fri Nov 16 2007 Panu Matilainen <pmatilai@redhat.com> - 8.1
- Update URL's for F8
- Add separate sourcelist for development repository (disabled)

* Fri Jun  1 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 7.89-8
- Update to post-F7.

* Fri Jun  1 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 7-7
- Update to F7.

* Thu Nov 23 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 6.89-6
- Add xen and PAE to possible kernel flavours.

* Sat May 20 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Move some FC specific config bits from apt.

* Thu May 11 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 5.89-3
- Apply comments from review #191040c3 (by Ville).
  - Fix summary and description
  - Config files are arch-independent, so we should become noarch
  - Create versioned dependency on apt (make sure it's repo-md capable)
    This creates a circular dependency which should not impose any
    issues.

* Tue May  9 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 5.89-2
- Fix whitespace (by Panu in bug #191040c1).

* Mon May  8 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 5.89-1
- Split off configuration files from apt.

